## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate libpulse-sys

Name:           rust-libpulse-sys
Version:        1.20.1
Release:        %autorelease
Summary:        FFI bindings for the PulseAudio libpulse system library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libpulse-sys
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          libpulse-sys-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FFI bindings for the PulseAudio libpulse system library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 4.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v12-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 12.0

%description -n %{name}+pa_v12-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v12" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v12-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v13-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 13.0

%description -n %{name}+pa_v13-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v13" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v13-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v14-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 14.0

%description -n %{name}+pa_v14-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v14" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v14-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v15-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 15.0

%description -n %{name}+pa_v15-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v15" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v15-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v5-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 5.0

%description -n %{name}+pa_v5-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v5" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v5-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v6-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 6.0

%description -n %{name}+pa_v6-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v6" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v6-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pa_v8-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 8.0

%description -n %{name}+pa_v8-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v8" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v8-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libpulse) >= 4.0'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 1.20.1-1
- Update to version 1.20.1; Fixes RHBZ#2159164

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.19.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.19.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.19.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> - 1.19.3-1
- Update to version 1.19.3; Fixes RHBZ#2030041

* Sun Aug 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.19.2-1
- Update to version 1.19.2; Fixes RHBZ#1998798

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> - 1.19.1-1
- Update to version 1.19.1; Fixes RHBZ#1987236

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 1.18.0-1
- Update to version 1.18.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 1.17.0-1
- Update to version 1.17.0.
- Fixes RHBZ#1907709

* Sat Dec 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.15.3-1
- Update to version 1.15.3.
- Fixes RHBZ#1906955

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 1.15.2-1
- Update to version 1.15.2.
- Fixes RHBZ#1905312

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 1.15.1-1
- Update to version 1.15.1.
- Fixes RHBZ#1901711

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 1.14.1-1
- Update to version 1.14.1.
- Fixes RHBZ#1901326

* Sat Nov 21 2020 Fabio Valentini <decathorpe@gmail.com> - 1.13.3-1
- Update to version 1.13.3.
- Fixes RHBZ#1900163

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 1.13.2-1
- Update to 1.13.2

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 04 2020 Josh Stone <jistone@redhat.com> - 1.13.1-1
- Update to 1.13.1

* Tue Apr 21 2020 Josh Stone <jistone@redhat.com> - 1.13.0-1
- Update to 1.13.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 06 07:18:01 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.12.1-1
- Update to 1.12.1

* Wed Dec 11 09:14:01 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.11.0-2
- Fixup sys deps

* Wed Nov 13 07:04:18 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.11.0-1
- Initial package

